%global debug_package %{nil}
%global _name   mate_menu
%global _internal_version e4a6065685d3
%global _internal_name ubuntu-mate-mate-menu

Name:           mate-menu
Version:        16.10.1
Release:        1%{?dist}
Summary:        Advanced Menu for the MATE Desktop
Group:          System Environment/Shells
License:        GPLv2+ and MIT
BuildArch:      noarch
Url:            https://bitbucket.org/ubuntu-mate/mate-menu
Source:         https://bitbucket.org/ubuntu-mate/%{name}/get/%{version}.tar.bz2

Patch1:         mate-menu_adjust-package-manager.patch
Patch2:         mate-menu_default-applications.patch

BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python2-devel >= 2.7
BuildRequires:  python2-distutils-extra
BuildRequires:  python2-setuptools
BuildRequires:  desktop-file-utils

Requires:       mate-menus
Requires:       mozo
Requires:       python-configobj
Requires:       python-gobject
Requires:       pyxdg
Requires:       python-xlib
Requires:       beesu
Requires:       mate-panel


%description
An advanced menu for MATE. Supports filtering, favorites,
auto-session, and many other features.
This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.


%prep
%setup -q -n %{_internal_name}-%{_internal_version}

# xdg-su isn't available in fedora
sed -i 's/xdg-su/beesu/g' %{_name}/execute.py
#some python fixes
sed -i 's/#!\/usr\/bin\/env python2/#!\/usr\/bin\/python2/g' lib/%{name}.py
sed -i 's/#!\/usr\/bin\/env python/#!\/usr\/bin\/python2/g' lib/%{name}-config.py

%patch1 -p1 -b .adjust-package-manager
%patch2 -p1 -b .default-applications

%build
%py2_build

%install
%py2_install

# avoid rpmlint invalid-lc-messages-dir and incorrect-locale-subdir errors
rm -rf %{buildroot}%{_datadir}/locale/ber
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/nah/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/mate-menu &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/mate-menu &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/mate-menu &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/mate-menu &>/dev/null || :


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{python2_sitelib}/%{_name}/
%{python2_sitelib}/%{_name}-%{version}-py2.7.egg-info/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.mate.mate-menu*.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man1/mate-menu.1.*


%changelog
* Thu Aug 04 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 16.10.1-1
- Initial package

